import { http } from '../http/http';
export class Repository {
    constructor() { }
    async get<T>(url : string) : Promise<T>{
        return  await http.get<T>(url);
    }

    async post<T>(url : string, data : any) : Promise<T>{
        return  await http.post<T>(url, data);
    }

    async put<T>(url : string, data : any) : Promise<T>{
        return  await http.put<T>(url, data);
    }

    async delete<T>(url : string) : Promise<T>{
        return  await http.delete<T>(url);
    }
}